# GetGameHighScores - docs

docs / com.github.insanusmokrassar.TelegramBotAPI.requests.games.abstracts / GetGameHighScores

# GetGameHighScores

(common) `interface GetGameHighScores : SimpleRequest<List<GameHighScore>>` (source)

### Properties

(common)

#### resultDeserializer

`open val resultDeserializer: DeserializationStrategy<List<GameHighScore>>`

(common)

#### userId

`abstract val userId: UserId`

### Functions

(common)

#### method

`open fun method(): String`

### Inheritors

(common)

#### GetGameHighScoresByChat

`data class GetGameHighScoresByChat : GetGameHighScores, MessageAction`

(common)

#### GetGameHighScoresByInlineMessageId

`data class GetGameHighScoresByInlineMessageId : GetGameHighScores, InlineMessageAction`